Package org.eclipse.birt.chart.script.api.series

# Interface IBar

All Superinterfaces:
  `IStackableSeries`, `IValueSeries`

public interface IBar extends IStackableSeries
Represents Bar series of a Chart in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getBarType()`
Gets the name of RiserType
`void`
`setBarType(String type)`
Sets the RiserType

### Methods inherited from interface org.eclipse.birt.chart.script.api.series.IStackableSeries

`isStacked, setStacked`

### Methods inherited from interface org.eclipse.birt.chart.script.api.component.IValueSeries

`getAction, getAggregateExpr, getDataExpr, getTitle, isPercent, isVisible, setAggregateExpr, setPercent, setTitle, setVisible`

## Method Details

### getBarType

String getBarType()
Gets the name of RiserType

Returns:
  name of RiserType

### setBarType

void setBarType(String type)
Sets the RiserType

Parameters:
  `type` - name of RiserType